#include "testlib.h"
using namespace std;

int main()
{
    registerValidation();
    int n;
    n = inf.readLong(1, 100000000, "n");
    inf.readSpace();
    inf.readInt(1, n, "m");
    inf.readEoln();
    
    inf.readEof();    
    return 0;
}